draugr.torch\_utilities.datasets.supervised.supervised\_dataset.SupervisedDataset
=================================================================================



.. currentmodule:: draugr.torch_utilities.datasets.supervised.supervised_dataset

.. autoclass:: SupervisedDataset
   :members:
   :show-inheritance:
   :inherited-members:

   
   .. automethod:: __init__

   
   .. rubric:: Methods

   .. autosummary::
   
      ~SupervisedDataset.__init__
   
   

   
   
   .. rubric:: Attributes

   .. autosummary::
   
      ~SupervisedDataset.predictor_shape
      ~SupervisedDataset.response_shape
      ~SupervisedDataset.split_names
   
   